wibble::log::NullSender Struct Reference

Discard all messages. More...

`#include <null.h>`

Inheritance diagram for wibble::log::NullSender:
[legend]
Collaboration diagram for wibble::log::NullSender:
[legend]

## Public Member Functions

virtual | ~NullSender ()
virtual void | send (Level level, const std::string &msg)
| Log one line of text with the given level. More...
Public Member Functions inherited from wibble::log::Sender
virtual | ~Sender ()

## Detailed Description

Discard all messages.

## Constructor & Destructor Documentation

## ~NullSender()

virtual wibble::log::NullSender::~NullSender | ( |  | ) |

inline virtual

## Member Function Documentation

## send()

virtual void wibble::log::NullSender::send | ( | Level | level,
|  | const std::string & | msg
| ) |  |

inline virtual

Log one line of text with the given level.

Do not add a trailing newline

Implements wibble::log::Sender.

The documentation for this struct was generated from the following file:

- null.h